Get Company Leadership Changes

Quota limitation

Changes received from this endpoint count towards the people search quota

Credits

Each call deducts 1 search credits for every 10 results. Credits are charged on results returned, not limit — only the last page may return fewer changes than requested.

Returns the leadership changes for a company, most recent month first. The changes are for director-level and more senior roles. Changes returned are for new hires, promotions, or departures.

POST
/v2/companies/signals/leadership-change

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired

Company to read and optional filters

filtersRequiredobject

CompanyLeadershipChangesFilters - The company to read and, optionally, which of its changes to return.

limitinteger

Limit - Maximum number of changes per page, must be between 1 and 200

Default: 10Minimum: 1Maximum: 200
pageTokenstring

PageToken - Token to retrieve the next page of changes, taken from the previous response. Send it with the same filters.

curl -X POST "https://api.surfe.com/v2/companies/signals/leadership-change" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": {
      "companyDomain": "surfe.com",
      "leadershipChange": {
        "changedSince": "2026-06-01",
        "types": [
          "new_hire",
          "promotion"
        ]
      }
    },
    "limit": 10,
    "pageToken": ""
  }'

A page of leadership changes

{
  "changeCount": 3,
  "changes": [
    {
      "date": "2026-07-01",
      "firstName": "Jane",
      "lastName": "Doe",
      "linkedinUrl": "https://www.linkedin.com/in/janedoe",
      "newCompanyDomain": "surfe.com",
      "newTitle": "VP Sales",
      "oldCompanyDomain": "starindustries.com",
      "oldTitle": "Sales Manager",
      "type": "promotion"
    }
  ],
  "domain": "surfe.com",
  "name": "Surfe",
  "nextPageToken": ""
}